> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Returns simplified time entries.

GET https://api.awork.com/api/v1/timeentries/simplified

Returns simplified time entries grouped by the requested property when one is supplied.
The user must have permission to view the returned time entries.

Reference: https://developers.awork.com/apiv1/time-entries/get-time-entries-simplified

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `grouping` (string, optional) — The grouping type.
- `page` (integer, optional, default: 1) — Page number for pagination
- `pageSize` (integer, optional, default: 10) — Number of items per page
- `orderby` (string, optional) — The properties to order by
- `filterby` (string, optional) — The filter expression to filter by

## Response

### 200

OK

- `list of SimplifiedTimeTracking`

## Types

### SimplifiedTimeTracking

The simplified time tracking model.

- `id` (string, optional) — The id of the time tracking.
- `duration` (integer, optional, nullable) — The duration of the time tracking in seconds. Required when the time tracking has already been completed and EndTime has not been set.
- `startDateUtc` (string, optional, nullable) — The date (in UTC) when the time tracking was started. Required.
- `startDateLocal` (string, optional, nullable) — The date (in Local) when the time tracking was started. Required.
- `isBillable` (boolean, optional) — Whether the time tracking is billable or not.
- `isBilled` (boolean, optional) — Whether the time tracking is billed or not.
- `createdBy` (string, optional) — The id of the user who created this time tracking.
- `createdOn` (string, optional) — The date of the creation of this time tracking.
- `task` (SimplifiedTaskModel, optional)
- `taskId` (string, optional, nullable) — The id of the task.
- `project` (SimplifiedProjectModel, optional)
- `projectId` (string, optional, nullable) — The id of the project.
- `user` (NestedUserModel, optional)
- `userId` (string, optional, nullable) — The id of the user.
- `typeOfWork` (NestedBaseTypeModel, optional)
- `typeOfWorkId` (string, optional, nullable) — The id of the type of work.
- `startTimeLocal` (string, optional, nullable) — The time (in Local) when the time tracking was started.

### SimplifiedTaskModel

- `id` (string, optional)
- `name` (string, optional, nullable)
- `baseType` (string, optional, nullable)
- `createdBy` (string, optional)
- `entityId` (string, optional)
- `projectId` (string, optional, nullable)
- `correlationId` (string, optional)
- `parentId` (string, optional, nullable)
- `taskStatusId` (string, optional)
- `taskStatus` (NestedTaskStatusModel, optional)
- `primaryTaskListId` (string, optional, nullable)
- `primaryTaskList` (NestedModel, optional)

### SimplifiedProjectModel

- `id` (string, optional) — The identifier of the nested model.
- `name` (string, optional, nullable) — The name of the entity.
- `hasImage` (boolean, optional)
- `company` (SimplifiedCompanyModel, optional)

### NestedUserModel

- `id` (string, optional) — The identifier of the nested model.
- `firstName` (string, optional, nullable) — The first name of the user.
- `lastName` (string, optional, nullable) — The last name of the user.
- `hasImage` (boolean, optional, nullable) — Whether this user has a profile image.

### NestedBaseTypeModel

- `id` (string, optional) — The identifier of the nested model.
- `name` (string, optional, nullable) — The name of the entity.
- `icon` (string, optional, nullable) — The icon of the type.

### NestedTaskStatusModel

- `id` (string, optional) — The identifier of the nested model.
- `name` (string, optional, nullable) — The name of the entity.
- `description` (string, optional, nullable) — The description of the type.
- `type` (string, optional, nullable) — The type of the status.
- `order` (double, optional, nullable) — The order of the task status in a task.
- `icon` (string, optional, nullable) — The icon of the task status in a task.

### NestedModel

- `id` (string, optional) — The identifier of the nested model.
- `name` (string, optional, nullable) — The name of the entity.

### SimplifiedCompanyModel

- `id` (string, optional) — The identifier of the nested model.
- `hasImage` (boolean, optional)

## Examples

**Response**

```json
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "duration": 8635,
    "startDateUtc": "2022-03-01T00:00:00Z",
    "startDateLocal": "2022-03-01T00:00:00",
    "isBillable": true,
    "isBilled": false,
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "createdOn": "2024-01-15T09:30:00Z",
    "task": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "string",
      "baseType": "string",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "entityId": "123e4567-e89b-12d3-a456-426614174000",
      "projectId": "123e4567-e89b-12d3-a456-426614174000",
      "correlationId": "123e4567-e89b-12d3-a456-426614174000",
      "parentId": "123e4567-e89b-12d3-a456-426614174000",
      "taskStatusId": "123e4567-e89b-12d3-a456-426614174000",
      "taskStatus": {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "name": "Design",
        "description": "Work in progress",
        "type": "todo",
        "order": 1,
        "icon": "arrow_forward"
      },
      "primaryTaskListId": "123e4567-e89b-12d3-a456-426614174000",
      "primaryTaskList": {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "name": "Design"
      }
    },
    "taskId": "123e4567-e89b-12d3-a456-426614174000",
    "project": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "name": "Design",
      "hasImage": true,
      "company": {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "hasImage": true
      }
    },
    "projectId": "123e4567-e89b-12d3-a456-426614174000",
    "user": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "firstName": "Carla",
      "lastName": "Creative",
      "hasImage": true
    },
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "typeOfWork": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "name": "Design",
      "icon": "thumb_up"
    },
    "typeOfWorkId": "123e4567-e89b-12d3-a456-426614174000",
    "startTimeLocal": "10:21:00"
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/timeentries/simplified"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/timeentries/simplified';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/timeentries/simplified"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/timeentries/simplified")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.awork.com/api/v1/timeentries/simplified")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.awork.com/api/v1/timeentries/simplified', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/timeentries/simplified");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/timeentries/simplified")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```